<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA
   </div>
   <div id="projectbrief">Modern Doxygen theme</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dd7/classmain_controller_1_1_main_controller.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">mainController.MainController Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a06802e9e7e7056300108570f6b7cb181">__init__</a>(self, parent, engine)</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a2e42c278b2a4019c0ceba327a0fe9bd0">_availableCOMports</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a0c244d7b65353585694fefd13cb71f2b">_availableCOMports_changed</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a867ebbfc6d253594458604138444a431">_text</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a20691d87039b00c8cbc70ea61b048164">_text</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a41243403a15ea1f56b3c9197f9a9be00">_text_changed</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#ab0e8352d2e0885108c95d81474a0563a">addApplication</a>(self, name, app)</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#ab673f856141c06fb0fabd56f4b3ac1c1">application_ledger</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#af266af11c3e31e716011b31c20c4856e">availableCOMports</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#afe90492df23d1a16ae864360f5486407">communicationHandler</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a4289e59890209a63112e7213d5f7e1ff">debug</a>(self, str='')</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#ab82229b8f6bf0ffed379e3e8c246a0c8">debug_timer</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#ab4001fcd732ad74df8415670c7600365">engine</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#af35ab012da71c97f85ac26b74b18b7ca">parent</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a2227f6c896360b09df5f93a5425d1e5f">portListModel</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#adee250bc0d8011bcdea29523136138d3">refreshCOMPorts</a>(self)</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a6e0450434a4348a5193f24f40a98a82a">removeApplication</a>(self)</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#aea3b79df82e87fe81a7c4607bf3cc70e">texto</a></td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#a603fa1578497d8a686b0a86a655e9896">texto</a>(self)</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html#abf73b2550b7c90c2f75d1b06406db7fc">texto</a>(self, val)</td><td class="entry"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">mainController.MainController</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
